Updates firmware info
PUThttps://apis.<domain>/iot/firmwares/:firmwareId
Updates firmware configuration
Authorization Action:
core:firmwares:update
Request
Path Parameters
firmwareId stringrequired
Firmware identifier
- application/json
Bodyrequired
namestring
Possible values: <= 1024 characters
descriptionstring
architecturestring
metadataobject
tagsstring[]
Responses
- 200
- 400
- 401
- 403
- 404
- 415
- 500
Firmware updated
Failed due to malformed request
Missing or invalid access token provided
User not authorized to update firmware
Firmware not found
Missing or invalid content type
Unexpected server-side error occurred
Authorization: http
name: bearerAuthtype: httpscheme: bearerdescription: * Users access: `Authorization: Bearer <user_token>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://apis.<domain>/iot/firmwares/:firmwareId");
request.Headers.Add("Authorization", "Bearer <token>");
var content = new StringContent("{\n \"name\": \"string\",\n \"description\": \"string\",\n \"architecture\": \"string\",\n \"metadata\": {},\n \"tags\": [\n \"string\"\n ]\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());